[arch-commits] Commit in seahorse-plugins/trunk (PKGBUILD seahorse-plugins.install)

Jan de Groot jgc at archlinux.org
Sun Oct 19 06:17:41 EDT 2008


    Date: Sunday, October 19, 2008 @ 06:17:41
  Author: jgc
Revision: 15826

upgpkg: seahorse-plugins 2.24.1-1

Added:
  seahorse-plugins/trunk/PKGBUILD
  seahorse-plugins/trunk/seahorse-plugins.install

--------------------------+
 PKGBUILD                 |   31 +++++++++++++++++++++++++++++++
 seahorse-plugins.install |   26 ++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-10-19 10:17:41 UTC (rev 15826)
@@ -0,0 +1,31 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=seahorse-plugins
+pkgver=2.24.1
+pkgrel=1
+pkgdesc="Seahorse plugins"
+arch=(i686 x86_64)
+license=('GPL')
+depends=('gnome-panel>=2.24.0' 'seahorse>=2.24.1' 'desktop-file-utils')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig' 'gedit>=2.24.0' 'nautilus>=2.24.0' 'epiphany>=2.24.0')
+groups=('gnome-extra')
+url="http://www.gnome.org"
+options=(!libtool !emptydirs)
+install=seahorse-plugins.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('842b7b7424c2a5cfe56db5960133f0a1')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-scrollkeeper \
+	      --disable-update-mime-database \
+	      --disable-static || return 1
+  make || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}

Added: seahorse-plugins.install
===================================================================
--- seahorse-plugins.install	                        (rev 0)
+++ seahorse-plugins.install	2008-10-19 10:17:41 UTC (rev 15826)
@@ -0,0 +1,26 @@
+pkgname=seahorse-plugins
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-mime-database usr/share/mime
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-mime-database usr/share/mime
+}




More information about the arch-commits mailing list